LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | List of all members
XTabPageContainer Interface Referencepublished

An interface to a control that displays tab pages. More...

`import"XTabPageContainer.idl";`

Inheritance diagram for XTabPageContainer:

## Public Member Functions
short | getTabPageCount ()
| Returns the number of tab pages. More...
boolean | isTabPageActive ([in] short tabPageIndex)
| Checks whether a tab page is activated. More...
XTabPage | getTabPage ([in] short tabPageIndex)
| Returns tab page for the given index. More...
XTabPage | getTabPageByID ([in] short tabPageID)
| Returns tab page for the given ID. More...
void | addTabPageContainerListener ([in] XTabPageContainerListener listener)
| Adds a listener for the TabPageActivedEvent posted after the tab page was activated. More...
void | removeTabPageContainerListener ([in] XTabPageContainerListener listener)
| Removes a listener previously added with addTabPageListener(). More...

## Public Attributes
short | ActiveTabPageID
| Specifies the ID of the current active tab page. More...

## Detailed Description

An interface to a control that displays tab pages.

See Also
  UnoControlTabPageContainer

Since
  OOo 3.4

## Member Function Documentation

void addTabPageContainerListener | ( | [in] XTabPageContainerListener | listener | ) |

Adds a listener for the TabPageActivedEvent posted after the tab page was activated.

Parameters

  listener | the listener to add.

XTabPage getTabPage | ( | [in] short | tabPageIndex | ) |

Returns tab page for the given index.

Parameters

  tabPageIndex | - index of the tab page in the IndexContainer.

Returns
  tab page which has tabPageIndex.

XTabPage getTabPageByID | ( | [in] short | tabPageID | ) |

Returns tab page for the given ID.

Parameters

  tabPageID | - ID of the tab page.

Returns
  tab page which has tabPageID.

short getTabPageCount | ( |  | ) |

Returns the number of tab pages.

Returns
  the number of tab pages.

boolean isTabPageActive | ( | [in] short | tabPageIndex | ) |

Checks whether a tab page is activated.

Parameters

  tabPageIndex | the tab page to be checked.

Returns
  `TRUE` if tab page is activated, else `FALSE`.

void removeTabPageContainerListener | ( | [in] XTabPageContainerListener | listener | ) |

Removes a listener previously added with addTabPageListener().

Parameters

  listener | the listener to remove.

## Member Data Documentation

short ActiveTabPageID
| attribute

Specifies the ID of the current active tab page.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/tab/XTabPageContainer.idl